Skip to main content
PATCH
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
{agentUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "description": "<string>",
    "name": "<string>",
    "projectUuid": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "organizationUuid": "<string>",
    "uuid": "<string>",
    "userAccess": [
      "<string>"
    ],
    "updatedAt": "2023-11-07T05:31:56Z",
    "integrations": [
      {
        "channelId": "<string>"
      }
    ],
    "tags": [
      "<string>"
    ],
    "instruction": "<string>",
    "imageUrl": "<string>",
    "groupAccess": [
      "<string>"
    ],
    "spaceAccess": [
      "<string>"
    ],
    "enableDataAccess": true,
    "enableSelfImprovement": true,
    "version": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required
agentUuid
string
required

Body

application/json

Make all properties in T optional

uuid
string
required
description
string | null
name
string
projectUuid
string
userAccess
string[]
integrations
object[]
tags
string[] | null
instruction
string | null
imageUrl
string | null
groupAccess
string[]
spaceAccess
string[]
enableDataAccess
boolean
enableSelfImprovement
boolean
version
number<double>
mcpServerUuids
string[]

Response

Success

results
object
required

From T, pick a set of properties whose keys are in the union K

status
enum<string>
required
Available options:
ok